Bug 177273 - Overridden annotations are broken on overloaded methods
Overridden annotations are broken on overloaded methods
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P2 (vote)
: 6.x
Assigned To: Karol Harezlak
issues@javafx
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 03:36 UTC by Karol Harezlak
Modified: 2010-01-25 06:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Harezlak 2009-11-20 03:36:54 UTC
To reproduce it copy past this code into JavaFX editor:

abstract class A {

    abstract function method(a : Integer);

    abstract function method(a : Long);
    
    abstract function method(a : Short);

}


class B extends A {
        
    override function method (a : Long) : Object { 
        throw new UnsupportedOperationException('Not implemented yet');
    }

    override function method (a : Short) : Object { 
        throw new UnsupportedOperationException('Not implemented yet');
    }

    override function method (a : Integer) : Object { 
        throw new UnsupportedOperationException('Not implemented yet');
    }
    
}

All annotations are accumulated next to the first method override function "method (a : Long) : Object {"
Comment 1 Karol Harezlak 2009-11-23 02:49:43 UTC
fixed in trunk,

http://hg.netbeans.org/javafx/rev/ca8952d0baa7

Patch candidate.
Comment 2 Alexandr Scherbatiy 2009-12-17 03:53:56 UTC
verified in NetBeans-dev-javafx-main-123-on-091217-full.zip
Comment 3 rbalada 2010-01-21 02:55:17 UTC
The fix has been ported to release68_fixes branch
http://hg.netbeans.org/javafx/rev/aa878c5f0c83
Comment 4 Lukas Hasik 2010-01-25 06:48:29 UTC
Verified in NB 6.8 patch1 - build 201001250341


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo